<?php
require('include/configuracion.php');
conexion();

	function campoformulario($nombreobj,$label,$tamaņo,$valor,$clase,$protegido="") {
		global $camposhidden;
		if ($protegido) { 
			$tmp2="disabled='disabled'";
			$camposhidden.=campohidden($nombreobj,$valor);
		}
		$tmp= "<label class='spformLabel'>$label</label>\n";			
		$tmp.=  "	<input class='$clase' $tmp2 value='$valor' size='$tamaņo' name='$nombreobj' type='text' >\n";
		$tmp.=  "<br />\n";
		return $tmp;
	}

	function campocombo($nombreobj,$label,$tamaņo,$valor,$arreglo,$clase,$protegido="") {
		global $camposhidden;

		if ($protegido) { 
			$tmp2="disabled='disabled'";
			$camposhidden.=campohidden($nombreobj,$valor);
		}

		$tmp= "<label class='spformLabel'>$label</label>\n";	
		$tmp.="<select name='$nombreobj' class='$clase' $tmp2>";
		for ($i=0;$i<count($arreglo);$i=$i+2) {
			if ($valor==$arreglo[$i]) {
				$tmp.= "<option value='".$arreglo[$i]."' selected>".$arreglo[$i+1]."</option>\n";
			} else {
				$tmp.= "<option value='".$arreglo[$i]."'>".$arreglo[$i+1]."</option>\n";
			}			
		}
		$tmp.="</select>\n";
		$tmp.=  "<br />\n";
		return $tmp;
	}

	
	function campohidden($nombrecontrol,$valordefecto) {
		$tmp="";
		$tmp= "<label class='spformLabel'></label>\n";	
		$tmp.="<input type='hidden' name='$nombrecontrol' value='$valordefecto'>";
		return $tmp;
	}		
	function cabecera($titulo) {
		$tmp.= "<head>\n";
		$tmp.= "	<meta HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=utf-8'>\n";
		$tmp.= "	<title>$titulo</title>\n";
		$tmp.= "	<!-- Common JS files -->\n";
		$tmp.= "	<script type='text/javascript' src='ajaxlib/utils/southprojects.js'></script>\n";
		$tmp.= "	<!-- Custom includes -->	\n";
		$tmp.= "	<script type='text/javascript' src='ajaxlib/spform/src/form.js'></script>\n";
		$tmp.= "	<!-- ALL demos need these css -->\n";
		$tmp.= "	<link href='ajaxlib/website/css/zpcal.css' rel='stylesheet' type='text/css'>\n";
		$tmp.= "	<link href='ajaxlib/website/css/template.css' rel='stylesheet' type='text/css'>\n";
		$tmp.= "	<style>\n";
		$tmp.= "		body {\n";
		$tmp.= "			width: 660px;\n";
		$tmp.= "		}\n";
		$tmp.= "	</style>\n";
		$tmp.= "	<!-- Theme css -->\n";
		$tmp.= "	<link href='ajaxlib/spform/themes/winxp2.css' rel='stylesheet' type='text/css'>\n";
		$tmp.= "	<link rel='SHORTCUT ICON' href='http://www.southprojects.com/website/main/favicon.ico'>\n";
		$tmp.= "</head>\n";	
		return $tmp;
	}
	
	function mostrarformulario($titulo,$leyenda,$descripcion,$campos,$camposhidden,$boton) {
		$tmp.= "<div class='zpCalSubHeader' style='text-align:center;'>$titulo</div>\n";
		$tmp.= "$descripcion\n";
		$tmp.= "<form  name='userData' id='userForm' method='get' style='text-align:left'>\n";
		$tmp.= "<div id='errOutput' class='errOutput'></div>\n";
		$tmp.= "<div class='spformContent'>\n";
		$tmp.= "	<fieldset>\n";
		$tmp.= "		<legend>$leyenda</legend>\n";
		$tmp.=$campos;
		$tmp.= "	</fieldset>\n";
		$tmp.= "</div>\n";
		$tmp.=$camposhidden;  
		$tmp.= "<div class='spformButtons'>\n";
		if ($boton[0]=1) { $tmp.= "	<input value='Aceptar' name='Submit' onclick='' type='submit' class='button'> \n"; }
		if ($boton[1]=1) { $tmp.= "	<input value='Modificar' name='Submit' onclick='' type='submit' class='button'> \n"; }
		if ($boton[2]=1) { $tmp.= "	<input value='Eliminar' name='Submit' onclick='' type='submit' class='button'> \n"; }		
		$tmp.= "</div>\n";		    
		$tmp.= "</form>\n";
		return $tmp;
	}


	
	echo cabecera('Ingreso');
?>


<body>
<?php
// http://ats/pf/basic.php?id=7&tipo=PROVEEDOR&r=0.31166002690371564
// Submit=Modificar
// estos datos sin inherente al tipo
$id=$_GET['id'];
$tipo=$_GET['tipo'];
$tipo=$_GET['tipo'];
$submit=$_GET['Submit'];


switch ($tipo) {
	case "PROVEEDOR":
		$nombre=$_GET['nombre'];
		$titulo="Proveedor";
		$leyenda="Proveedor";
		$descripcion='Plantilla de Proveedores';		
		switch ($submit) {
			case 'Aceptar':
			case '':
				$sql="select * from pf_productor where id_productor=$id";
				$filas=0;
				$resultado="";
				ejecutarsql($sql,&$filas,&$resultado);
				if ($filas) {
					$nombre=mssql_result($resultado,0, "nombre_productor");
				}
				break;
			case 'Modificar':
				$datos=array($id,$nombre,'*RESULTADO*');
				$nc=array('id','nombre','resultado');
				$tc=array('int','vc200','output');
				if (ejecutarprocedimiento('modificar_productor',$datos,$nc,$tc)) {
					$titulo="Proveedor Modificado!";
					$descripcion="El proveedor fue modificado exitosamente.";
				}
				break;
			case 'Eliminar':
				break;
		}
		$camposhidden.=campohidden("tipo",$tipo);
		$campos.= campoformulario("id","Identificador",40,$id,"spformInt",1);
		$campos.= campoformulario("nombre","Nombre Proveedor",40,$nombre,"spformRequired");	
		$boton=array(1,1,1);		
		break;
	case "CAMARA":
		$nombre=$_GET['nombre'];
		$tipo_camara=$_GET['tipo_camara'];
		$estado_actual=$_GET['estado_actual'];
		
		$titulo="Camara";
		$leyenda="Camara";
		$descripcion='Plantilla de Camara';		
		switch ($submit) {
			case 'Aceptar':
			case '':
				$sql="select * from pf_camara where id_camara=$id";
				$filas=0;
				$resultado="";
				ejecutarsql($sql,&$filas,&$resultado);
				if ($filas) {
					$nombre=mssql_result($resultado,0, "nombre_camara");
					$tipo_camara=mssql_result($resultado,0, "tipo_camara");
					$estado_actual=mssql_result($resultado,0, "estado_actual");
					$proceso_actual=mssql_result($resultado,0, "proceso_actual");
					
				}
				break;
			case 'Modificar':
				$datos=array($id,$nombre,'*RESULTADO*');
				$nc=array('id','nombre','resultado');
				$tc=array('int','vc200','output');
				if (ejecutarprocedimiento('modificar_productor',$datos,$nc,$tc)) {
					$titulo="Proveedor Modificado!";
					$descripcion="El proveedor fue modificado exitosamente.";
				}
				break;
			case 'Eliminar':
				break;
		}
		$camposhidden.=campohidden("tipo",$tipo);
		$campos.= campoformulario("id","Identificador",40,$id,"spformInt",1);
		$campos.= campoformulario("nombre","Nombre Camara",40,$nombre,"spformRequired");	
		$arreglo=array("","->Seleccione Valor<-","PREF","Prefrio","AMB","Ambiente");
		$campos.= campocombo("tipo_camara","Tipo de Camara",40,$tipo_camara,$arreglo,"spformRequired");	
		$arreglo=array("","->Seleccione Valor<-","V","Lista para ser usada","N","No habilitado","U","En uso");
		$campos.= campocombo("estado_actual","Estado Actual",40,$estado_actual,$arreglo,"spformRequired");	
		$campos.= campoformulario("proceso_actual","Proceso actual",40,$proceso_actual,"spformInt",1);

		
		

		$boton=array(1,1,1);		
		break;
	
	default:	
	break;
}



echo mostrarformulario($titulo,$leyenda,$descripcion,$campos,$camposhidden,$boton);





?>


<script type="text/javascript">

function siempreoculto() {
	return 1;
} 

function testErrOutput(objErrors){
	var message = objErrors.generalError + '<br />';
	
	if (objErrors.fieldErrors) {
		for (var ii = 0; ii < objErrors.fieldErrors.length; ii++)
				message += (ii + 1) + ': Campo "' + objErrors.fieldErrors[ii].field.name + '" ' + objErrors.fieldErrors[ii].errorMessage + "<br />";
	}
	
	var outputDiv = document.getElementById("errOutput");

	if(outputDiv != null){
		outputDiv.innerHTML = message;
		outputDiv.style.display = "block";
	}
}

function myOnSuccess() {
	alert('Success!');
};

// Run this to auto-activate all "spform" class forms in the document.
new southprojects.Form({
	form: 'userForm',
	showErrors: 'afterField',
	showErrorsOnSubmit: true,
	submitErrorFunc: testErrOutput,
	theme: "WinXP2"
});
</script>


	<noscript>
		<br/>
		This page uses a <a href='http://www.southprojects.com/website/main/products/forms/'>
		southprojects DHTML Form Widget</a>, but your browser does not support Javascript.
		<br/>
		<br/>
	</noscript>      
		<br/><br/><br/>
		<div class="footer" style='width: 740px; text-align:center; margin-top:2em'>
		&copy; 2006 <strong> <a href='http://www.southprojects.com/'>SouthProjects</a> </strong>
		</div>
</body>
